# Enum Class VulkanMemoryAllocateFlag

java.lang.Object
java.lang.Enum<VulkanMemoryAllocateFlag>
com.io7m.jcoronado.api.VulkanMemoryAllocateFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType, Serializable, Comparable<VulkanMemoryAllocateFlag>, Constable`

public enum VulkanMemoryAllocateFlag extends Enum<VulkanMemoryAllocateFlag> implements VulkanEnumBitmaskType

See Also:
  - "VkMemoryAllocateFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_BIT`
  Specifies that the memory can be attached to a buffer object created with the VK_BUFFER_USAGE_SHADER_DEVICE_ADDRESS_BIT usage flag set.
  `VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_CAPTURE_REPLAY_BIT`
  Specifies that the memory’s address can be saved and reused on a subsequent run (e.g.
  `VK_MEMORY_ALLOCATE_DEVICE_MASK_BIT`
  Specifies that memory will be allocated for the devices in VkMemoryAllocateFlagsInfo::deviceMask.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanMemoryAllocateFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanMemoryAllocateFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_MEMORY_ALLOCATE_DEVICE_MASK_BIT

    public static final VulkanMemoryAllocateFlag VK_MEMORY_ALLOCATE_DEVICE_MASK_BIT
    Specifies that memory will be allocated for the devices in VkMemoryAllocateFlagsInfo::deviceMask.

  - ### VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_BIT

    public static final VulkanMemoryAllocateFlag VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_BIT
    Specifies that the memory can be attached to a buffer object created with the VK_BUFFER_USAGE_SHADER_DEVICE_ADDRESS_BIT usage flag set.

  - ### VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_CAPTURE_REPLAY_BIT

    public static final VulkanMemoryAllocateFlag VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_CAPTURE_REPLAY_BIT
    Specifies that the memory’s address can be saved and reused on a subsequent run (e.g. for trace capture and replay), see VkBufferOpaqueCaptureAddressCreateInfo for more detail. If this bit is set, VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_BIT must also be set.

- ## Method Details

  - ### values

    public static VulkanMemoryAllocateFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanMemoryAllocateFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant